/*
Theme Name: Beaver Builder Child Theme
Theme URI: http://www.wpbeaverbuilder.com
Version: 1.0
Description: An example child theme that can be used as a starting point for custom development.
Author: The Beaver Builder Team
Author URI: http://www.fastlinemedia.com
template: bb-theme
*/

/* Add your custom styles here... */ 

@media screen and (min-width: 993px) {
    #menu-main-nav > li.menu-item-has-children > ul.sub-menu {
        display: none;
        opacity: 0;
        visibility: hidden;
        pointer-events: none;
    }
	
	 #menu-main-nav > li.menu-item-has-children.open > ul.sub-menu {
			display: block !important;
			opacity: 1 !important;
			visibility: visible !important;
			pointer-events: auto !important;
		  }
}
.blocks-child-container .hover-blocks-content{
	transition:all 0.2s ease-in;
	opacity:0;
}
.blocks-child-container:hover .hover-blocks-content{
	opacity:1;
}
.blocks-child-container .hover-blocks-wrapper{
	transition:all 0.2s ease-in;
	opacity:0;
	background:rgba(00,00,00,0.65);
}
.blocks-sign-types{
	position:relative;
	border-radius:4px;
}
.blocks-sign-types::after{
	content:'';
	left:0;
	top:0;
	width:100%;
	height:100%;
	background-color:rgba(00,00,00,0.65);
	border-radius:4px;
}
.blocks-sign-types::before{
	background-color:#fff;
	content:'';
	left:0;
	top:0;
	width:100%;
	height:100%;
	transition:all 0.2s ease-in;
	z-index:1;
	border-radius:4px;
}
.blocks-sign-types:hover:before{
	opacity:0;
}
.blocks-sign-types:hover p,
.blocks-sign-types:hover h4{
	color:#fff !important;
}
.blocks-sign-types .fl-module{
	position:relative;
	z-index:2;
}

.menu-item a{
	text-decoration:none !important;
}
#menu-main-nav-1 > li.menu-item-has-children > ul.sub-menu{
	display:none;
}
.fl-search-form-fields .fl-button-wrap{
	position:absolute;
	right:0;
}
h2.wp-block-heading{
	font-family: Roboto, sans-serif !important;
    font-weight: 800 !important;
    font-size: 35px !important;
    text-transform: uppercase !important;
	margin-bottom:20px !important;
}
h3.wp-block-heading{
	font-family: Inter, sans-serif !important;
    font-weight: 700 !important;
    font-size: 25px !important;
    line-height: 23px !important;
    text-transform: uppercase !important;
	margin-bottom:20px !important;
}
.single-posts-content a{
    text-decoration: none;
    border-bottom: 1px solid #000;
    padding-bottom: 2px;
    transition: all 0.3s ease;
}
.single-posts-content a:hover{
	color: #DC0000 !important;
    border-color: #DC0000;
}
.my-recent-posts ul li a.imglink{
	border:none !important;
}

ul.wp-block-list{
	padding-left:20px;
}
ul.wp-block-list li::marker{
	color:#DC0000 !important;
}
.my-recent-posts ul{
	padding:0;
	list-style-type:none;
}
.my-recent-posts ul li{
	display:flex;
	gap:15px;
	align-items:flex-start;
	margin-bottom:20px;
}
.my-recent-posts img{
	max-width: 80px;
    height: 80px;
    object-fit: cover;
}
/*PRODUCTS SUBMENU*/
#sub-menu-85.sub-menu{
	width:700px;
	column-count:2;
}
/*SERVICES SUBMENU*/
#sub-menu-87.sub-menu{
	width:320px;
}
/*INDUSTRY SUBMENU*/
#sub-menu-86.sub-menu{
	width:400px;
}
.fl-node-fsz746nc13rt .fl-menu .fl-menu-toggle:before{
	    margin: -1px 0px 0 0 !important;
}
.fl-menu-toggle {
    transform: none !important;
}

.fl-has-submenu-container:hover .fl-menu-toggle,
.fl-has-submenu-container .fl-menu-toggle:hover {
    transform: none !important;
    transition: none !important;
}

.certifications-logos .fl-module-photo {
    padding: 0 15px; 
}
.slick-slide img{
	height:150px !important;
	width:100%;
	object-fit:contain;
}
.slick-dots li button:before{
	font-size:8px !important;
	opacity:1 !important;
}
.slick-dots{
	bottom:-40px !important;
}
.slick-dots li{
	margin:0 !important;
}
.slick-dots li.slick-active button:before{
	opacity:1 !important;
	color:#DC0000 !important;
}
.sp-cpt-name{
	font-family: Roboto, sans-serif !important;
    font-weight: 800 !important;
    font-size: 35px !important;
    text-transform: uppercase !important;
}
.contact-us-btngroup i.fl-button-icon::before{
	font-size:28px !important;
}
a.fl-post-grid-more{
	background: #DC0000;
	padding: 12px 24px;
	border-radius: 4px;
	transition:all 0.3s ease-in;
	color:#fff !important;
	font-family: Roboto, sans-serif !important;
    font-weight: 700 !important;
    text-transform: uppercase;
	margin-top:25px;
}
.fl-icon-wrap a p{
	transition:all 0.2s ease-in;
}
.post-content a{
	color:#000;
	transition:all 0.2s ease-in;
}
.fl-icon-wrap a:hover p{
	color:#dc0000 !important;
}
.post-content a:hover{
	color:#DC0000;
}
.post-content h3 a:hover{
	color:#DC0000 !important;
}
a.fl-post-grid-more:hover{
	background:#000;
	color:#fff !important;
}
.fl-accordion-item button{
	opacity:1 !important;
}
a:focus,
#menu-main-nav a:focus,
.fl-accordion-button .fl-accordion-button-icon:focus, .fl-accordion-button .fl-accordion-button-icon:active,
.fl-accordion-button .fl-accordion-button-icon:focus{
	outline:none !important;
}
.map-lists-wrapper ul{
	padding:0;
	list-style-type: none;
    display: flex;
    justify-content: center;
    column-gap: 150px;
    row-gap: 50px;
    flex-wrap: wrap;
    text-align: center;
}
.map-lists-wrapper ul li{
	width:25%;
}
.image-with-content-section img{
	height:470px !important;
	object-fit:cover;
}
.image-with-content-image-has-height img{
	height:600px !important;
	object-fit:cover;
}

.results-boxflex-wrapper{
	transition:all 0.3s;
}
.results-boxflex-wrapper:hover{
	background-color:rgba(0,0,0,0.84) !important;
}
.results-boxflex-wrapper h4,
  .results-boxflex-wrapper .fl-module p{
      opacity: 0;
      transition: opacity 0.3s;
  }

.results-boxflex-wrapper:hover h4,
.results-boxflex-wrapper:hover .fl-module p{
     opacity: 1;
}

.process-flex-circle .fl-module-box{
	position:relative;
}


.process-flex-circle .fl-module-box::before{
	position:absolute;
	content:'';
	right:-65px;
	top:65px;
	width:94px;
	height:100%;
	background-size:contain;
	background-repeat:no-repeat;
	background-position:top center;
}
.process-flex-circle .fl-module-box:nth-child(odd)::before {
    background-image: url('/wp-content/uploads/2026/04/Ellipse-82.png');
}

.process-flex-circle .fl-module-box:nth-child(even)::before {
	background-image: url('/wp-content/uploads/2026/04/Ellipse-88.png');
}

.process-flex-circle .fl-module-box:last-of-type::before {
    content: none !important;
}

.process-flex-circle .fl-photo-content{
	width:140px;
	height:140px;
	display:flex;
	align-items:center;
	justify-content:center;
	box-shadow: 0px 3.49px 3.9px 0px #1D1D1D4D;
	border-radius:50%;
	margin:0 auto;
}

.inline-images-container img{
	height:350px !important;
	object-fit:cover;
}
.card-has-icon-and-border .fl-photo-content{
	background:#FFF0F2;
	border:2px solid #DC0000;
	width:60px;
	height:60px;
	border-radius:50%;
	display:flex;
	align-items:center;
	justify-content:center;
}
.card-has-icon-and-border .fl-photo-content img{
	width:35px;
}
.card-has-icon-and-border > div > div{
	border-top:4px solid #DC0000 !important;
	position:relative;
}
.card-has-icon-and-border > div > div::after{
	position:Absolute;
	content:'';
	right:0;
	bottom:0;
	width:100%;
	height:100%;
	background:#FFF0F2;
	clip-path: polygon(100% 80%, 87% 100%, 100% 100%);
}

#scroll-top {
  display: none;
  position: fixed;
  bottom: 25px;
  right:0;
  z-index: 9999;
  transition: all 0.3s ease;
}
#scroll-top a{
  display: flex;
  align-items: center;
  justify-content: center;
}
.fas.fa-store::before{
	content:url('/wp-content/uploads/2026/03/Vector-1-1.png') !important;
	top: 1px;
    position: relative;
}
.fl-theme-builder-header-sticky{
	box-shadow: 0px 10px 15px -3px rgba(0,0,0,0.1);
}
.fl-theme-builder-header-sticky img{
	max-height:80px !important;
}
.has-gradientbg p{
	border-left:3px solid #DC0000;
	padding-left:20px;
	padding-top:10px;
	padding-bottom:10px;
	background: rgba(220, 0, 0, 5.1);
background: linear-gradient(90deg, rgba(220, 0, 0, 0.4) 0%, rgba(0, 0, 0, 0) 50%);
}

.icon-with-content .fl-photo img{
	width: 33px;
    height: 47px;
    object-fit: contain;
}

.process .fl-photo-content{
	box-shadow: 0px 3.86px 3.86px 0px #1D1D1D4D;
	width: 150px;
    height: 150px;
    border-radius: 9px;
	display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto;
}
.text-has-height{
	height:275px;
}
.heading-has-height{
	height:70px;
}
.map-img img{
	height: 170px !important;
    object-fit: contain;
}
footer ul li{
	list-style:none !important;
}
footer ul{
	padding:0 !important;
}
.fend{
	display:flex;
	gap:50px;
}
.fl-node-nqb5zeascwdr .fl-icon i{
	border-radius:4px;
}
a{
	transition:all 0.2s;
}
footer a{
	text-decoration:none !important;
}
footer a:hover{
	color:#DC0000 !important;
}
.has-border-line-second,
.has-border-line{
	position:relative;
	width:100%;
}

.has-border-line-second::after{
	position:absolute;
	width:100%;
	height:2px;
	background:#4B4B4B;
	right:-290px;
	top:50%;
	transform:translateY(-50%);
}
.has-border-line::after{
	position:absolute;
	width:100%;
	height:2px;
	background:#4B4B4B;
	right:-200px;
	top:50%;
	transform:translateY(-50%);
}
.has-border-container{
	overflow:hidden;
}
.options-wrapper img{
	height:250px !important;
	object-fit:cover;
	width:100% !important;
}

@media (max-width:350px){
	.contact-us-btngroup{
		display:block !important;
		text-align:center;
	}
}

@media (max-width:480px){
	.fend{
		display:block;
		text-align:Center;
	}
}

@media (max-width:540px){
	.map-lists-wrapper ul li {
		width: 100% !important;
	}
}
@media (max-width:768px){
	.banner-has-gradient .fl-row-content-wrap::after {
        content: none !important;
    }
	.banner-has-gradient{
		position:relative;
	}
	.banner-has-gradient::before{
		display: block !important;
		position:absolute;
		content:'';
		left:0;
		top:0;
		width:100%;
		height:100%;
		background:rgba(00,00,00,0.8);
		z-index:1;
	}
	h2.wp-block-heading{
		font-size: 22px !important;
	}
	h3.wp-block-heading{
		font-size: 20px !important;
	}
	.sp-cpt-name{
		font-size: 28px !important;
	}
	.fl-button-has-icon a.fl-button{
		  line-height: 1.5 !important;
		    overflow-wrap: anywhere;
	}
	
	.contact-us-btngroup i.fl-button-icon::before{
		    font-size: 19px !important;
	}
	.map-lists-wrapper ul{
		row-gap:20px;
	}
	.map-lists-wrapper ul li {
		width: 38%;
	}
	.process-flex-circle .fl-module-box::before{
		content:unset;
	}
	.heading-has-height{
		height:auto;
		margin-bottom:20px !important;
	}
	.card-has-icon-and-border > div > div::after {
  	  clip-path: polygon(100% 80%, 90% 100%, 100% 100%);
	}
	.image-with-content-image-has-height img,
	.inline-images-container img,
	.image-with-content-section img{
		height:auto !important;
	}
	.text-has-height{
		height:auto;
	}
	.has-border-line::after,
	.has-border-line-second::after{
		bottom:-10px;
		top:unset;
		right:0;
	}
	.has-border-container{
		overflow:unset;
	}
	.fl-builder-content-93 .fl-node-9oygrpb4358z{
		flex-direction:column;
		gap:0 !important;
	}
	.fl-col-small:not(.fl-col-small-full-width){
		max-width:100% !important;
	}
}

@media (max-width:992px){
	 #menu-main-nav > li.menu-item-has-children.open > ul.sub-menu {
		display: block !important;
		opacity: 1 !important;
		visibility: visible !important;
	  }
	#menu-main-nav .menu-item > a {
        display: block !important;
        width: 100% !important;
        white-space: normal !important;
        overflow-wrap: anywhere !important;
        word-break: break-word !important;
    }
	#menu-main-nav .menu-item {
        display: block !important;
        width: 100% !important;
    }
	.sub-menu{
		column-count:unset !important;
		width:auto !important;
	}
}

@media (max-width:992px) and (min-width:769px){
	.my-recent-posts img{
		max-width:100%;
	}
	.my-recent-posts ul li{
		flex-direction:column;
	}
	h2.wp-block-heading{
		font-size:26px !important;
	}
	h3.wp-block-heading{
		font-size: 20px !important;
	}
	.sp-cpt-name{
		font-size: 28px !important;
	}
	.fl-button-has-icon a{
		height:55px;
		display:flex;
		align-items:center;
		justify-content:Center;
		gap:5px;
	}
	.contact-us-btngroup i.fl-button-icon::before{
		    font-size: 19px !important;
	}
	.card-has-icon-and-border > div > div::after {
		clip-path: polygon(100% 88%, 80% 100%, 100% 100%);
	}
	    
	.fl-node-show6p3z4i51 > .fl-col-content {
		padding-left: 50px;
	}
	.fl-node-bknjd9xw1fu8{
		width:40%;
	}
	.fl-node-9jxl6mg4pu5c {
		width: 100%;
	}
	.map-lists-wrapper ul{
		    column-gap: 20px;
   			 row-gap: 40px;
	}
	.map-lists-wrapper ul li {
		width: 31%;
	}
	.icon-with-content p{
		line-height:25px !important;
		text-align:left !important;
	}
	.icon-with-content > div > .fl-module-box:nth-child(1){
		height:260px !important;
	}
}

@media (max-width:1200px) and (min-width:993px){
	#fl-node-37s6cihbd14v-0 a{
		width:150px;
	}
	h2.wp-block-heading{
		font-size: 30px !important;
	}
	h3.wp-block-heading{
		font-size: 22px !important;
	}
	#sub-menu-85.sub-menu{
		left: 50%;
        transform: translateX(-50%);
	}
	.fl-node-fsz746nc13rt .fl-menu .fl-menu-toggle:before {
		margin: -3px -5px 0 0 !important;
	}
	.contact-us-btngroup i.fl-button-icon::before{
		    font-size: 22px !important;
	}
	.card-has-icon-and-border > div > div::after{
		clip-path: polygon(100% 88%, 80% 100%, 100% 100%);
	}
	.map-lists-wrapper ul{
		    column-gap: 20px;
   			 row-gap: 40px;
	}
	.icon-with-content p{
		line-height:25px !important;
		text-align:left !important;
	}
	.icon-with-content > div > .fl-module-box:nth-child(1){
		height:170px !important;
	}
}

@media (min-width:1201px) and (max-width:1400px){
	.fl-node-fsz746nc13rt .fl-menu .fl-menu-toggle:before {
		margin: -3px -20px 0 0 !important;
	}
	#menu-main-nav li a{
		font-size:15px !important;
		padding-left:15px !important;
		padding-right:15px !important;
	}
	#fl-node-37s6cihbd14v-0 a{
		font-size:16px !important;
		padding-left:20px !important;
		padding-right:20px !important;
	}
}

@media (min-width:1401px) and (max-width:1450px){
	#fl-node-37s6cihbd14v-0 a{
		padding: 12px 15px !important;
	}
}